com.dlsc.flexgantt.swing.layer.system

## Interface IRelationshipRenderer

- All Superinterfaces:
    IRenderer
  All Known Implementing Classes:
    DefaultRelationshipRenderer

      public interface IRelationshipRenderer
      extends IRenderer

  A relationship renderer is used to draw a relationship between two timeline objects.
  Since:
    1.0
  Version:
    $Revision: 1.1 $
  Author:
    Dirk Lemmermann
  See Also:
    `RelationshipLayer.setRelationshipRenderer(Class, IRelationshipRenderer)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `GeneralPath` | `drawRelationship(RelationshipLayer layer, Graphics g, IRelationship relationship, boolean focused, boolean selected)` Draws a relationship between two timeline objects.

- - ### Method Detail

    - #### drawRelationship

          GeneralPath drawRelationship(RelationshipLayer layer,
                                       Graphics g,
                                       IRelationship relationship,
                                       boolean focused,
                                       boolean selected)

      Draws a relationship between two timeline objects. This is usually a line that starts at the source object and ends at the target object (with an arrow head pointing towards the target).
      Parameters:
        `layer` - the relationship layer in which the drawing takes place
        `g` - the graphics context into which to draw
        `relationship` - the relationship object in need of rendering
        `focused` - signals whether the mouse currently hovers over the relationship
        `selected` - signals whether the relationship is currently selected
      Returns:
        a path object, which describes path of the relationship lines (needed for detecting the relationship, e.g. for popup menus)
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.